<script type='text/javascript'>
window.init_pinger_mraid = function() {
    var MRAID_STATES = {
        LOADING:            "loading",
        DEFAULT:            "default",
        EXPANDED:           "expanded",
        HIDDEN:             "hidden"
    };
    
    var MRAID_EVENTS = {
        ERROR:              "error",
        READY:              "ready",
        STATE_CHANGE:       "stateChange",        
        VIEWABLE_CHANGE:    "viewableChange"
    };
    
    var MRAID_EXPAND_PROPERTIES = {
        width: 320,
        height: 480,
        useCustomClose: false,
        isModal: true,        
    };
    
    var _pingerSDKCallBack = "pingerSDKCallBack://";
    var MRAID_ACTIONS = {
        EXPAND:              _pingerSDKCallBack + "expand",
        CLOSE:               _pingerSDKCallBack + "close",
        OPEN:                _pingerSDKCallBack + "open"
    }
    
    var _mraidAdState = MRAID_STATES.LOADING;
    var _mraidAdIsViewable = "NO";
    var _placementType = "inline";
    var viewId = "0";
    
    var b = window.mraid = {};
    var listeners = [];

    function internalAddListener(event, listener) {
        if (typeof listeners[event] == "undefined") {
            listeners[event] = [];
        }
        listeners[event].push(listener);
    }
    
    function internalRemoveListener(event, listener) {
        if (listeners[event] instanceof Array) {
            var allListeners = listeners[event];
            for (var i = 0, len = allListeners.length; i < len; i++) {
                if (listener === allListeners[i]) {
                    allListeners.splice(i,1);
                }
            }
        }
    }
    
    function internalFireEvent() {
        var event = arguments[0];
        if (listeners[event] instanceof Array) {
            var allListeners = listeners[event];
            for (var i = 0, len = allListeners.length; i < len; i++) {
                var listener = allListeners[i];
                
                if (event === MRAID_EVENTS.STATE_CHANGE) {
                    listener.call(this, arguments[1]);
                } else if (event === MRAID_EVENTS.READY) {
                    listener.call(this);
                } else if (event === MRAID_EVENTS.ERROR) {
                    listener.call(this, arguments[1], arguments[2]);
                } else if (event === MRAID_EVENTS.VIEWABLE_CHANGE) {
                    listener.call(this, arguments[1]);
                }
            }
        }
    }

    mraid.setViewId= function (id) {
        viewId = id;
    }

    mraid.getState = function () {
        return _mraidAdState;
    }

    mraid.getExpandProperties = function () {
        return MRAID_EXPAND_PROPERTIES;
    }
    
    mraid.setExpandProperties = function (a) {
        MRAID_EXPAND_PROPERTIES = a;
    }
    
    mraid.useCustomClose = function () {
        return MRAID_EXPAND_PROPERTIES.useCustomClose;
    }
    
    mraid.contentWidth = function () {
        return MRAID_EXPAND_PROPERTIES.width;
    }
    
    mraid.contentHeight = function () {     
        return MRAID_EXPAND_PROPERTIES.height;
    }
    
    mraid.isViewable = function () {
        return _mraidAdIsViewable;
    }
    
    mraid.getVersion = function() {
        return "1.0";
    }
    
    mraid.setPlacementType = function (placementType) {
        _placementType = placementType;
    }
    
    mraid.getPlacementType = function() {
        return _placementType;
    }
    
    mraid.expand = function(url) {
        if (url == undefined) {
            Android.treatEvent(MRAID_ACTIONS.EXPAND, null, viewId, 
                MRAID_EXPAND_PROPERTIES.width, MRAID_EXPAND_PROPERTIES.height, MRAID_EXPAND_PROPERTIES.useCustomClose);
        } else {
            Android.treatEvent(MRAID_ACTIONS.EXPAND, url, null, 
                MRAID_EXPAND_PROPERTIES.width, MRAID_EXPAND_PROPERTIES.height, MRAID_EXPAND_PROPERTIES.useCustomClose);
        }
    }
    
    mraid.open = function(url) {
        Android.treatEvent(MRAID_ACTIONS.OPEN, url, null, -1, -1, false);
    }
    
    mraid.close = function() {
        Android.treatEvent(MRAID_ACTIONS.CLOSE, null, null, -1, -1, false);
    }
    
    mraid.addEventListener = function (event, listener) {
        internalAddListener(event, listener);
    }

    mraid.removeEventListener = function (event, listener) {
        internalRemoveListener(event, listener);
    }
    
    mraid.treatSDKCallbacks = function () {
        var callback = arguments[0];
        if (callback != undefined) {
            if (callback === MRAID_EVENTS.STATE_CHANGE) {
                var newState = arguments[1];
                if (newState != undefined) {
                    _mraidAdState = newState;
                    internalFireEvent(MRAID_EVENTS.STATE_CHANGE, newState);
                }
            } else if (callback === MRAID_EVENTS.READY) {
                internalFireEvent(MRAID_EVENTS.READY);
            } else if (callback === MRAID_EVENTS.ERROR) {
                var message = arguments[1];
                var action = arguments[2];
                if (message != undefined && action != undefined) {
                    internalFireEvent(MRAID_EVENTS.ERROR, message, action);
                }
            } else if (callback === MRAID_EVENTS.VIEWABLE_CHANGE) {
                var value = arguments[1];
                if (value != undefined) {
                    _mraidAdIsViewable = value;
                    internalFireEvent(MRAID_EVENTS.VIEWABLE_CHANGE, value);
                }
            }
        }
    }
};

window.mraid || window.init_pinger_mraid();
window.pingerMraid = window.mraid;
</script>